<project version="4">
  <component name="BookmarksManager">
    <option name="groups">
      <GroupState>
        <option name="name" value="Laser Tag" />
      </GroupState>
    </option>
  </component>
  <component name="FileEditorManager">
    <leaf ideFingerprint="113wvj63dd6on" SIDE_TABS_SIZE_LIMIT_KEY="-1">
      <file>
        <entry file="file://$PROJECT_DIR$/CMakeLists.txt" file-id="43124" managing-fs="1774363272086">
          <provider editor-type-id="text-editor" selected="true">
            <state relative-caret-position="44">
              <caret line="2" column="18" selection-start-line="2" selection-start-column="18" selection-end-line="2" selection-end-column="18" />
            </state>
          </provider>
        </entry>
        <tab><![CDATA[{"tabTitle":"CMakeLists.txt","foregroundColor":-9192071,"textAttributes":{"name":"a","children":[{"name":"option","attributes":{"name":"FOREGROUND","value":"73bd79"}}]},"icon":[10,57,99,111,109,46,105,110,116,101,108,108,105,106,46,117,105,46,105,99,111,110,115,46,82,97,115,116,101,114,105,122,101,100,73,109,97,103,101,68,97,116,97,76,111,97,100,101,114,68,101,115,99,114,105,112,116,111,114,18,68,10,15,105,99,111,110,115,47,67,77,97,107,101,46,115,118,103,18,21,105,99,111,110,115,47,101,120,112,117,105,47,67,77,97,107,101,46,115,118,103,26,18,99,111,109,46,105,110,116,101,108,108,105,106,46,99,109,97,107,101,40,-99,-66,-40,-99,2,48,0]}]]></tab>
      </file>
      <file current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/main/CMakeLists.txt" file-id="43125" managing-fs="1774363272086">
          <provider editor-type-id="text-editor" selected="true">
            <state relative-caret-position="22">
              <caret line="1" column="25" selection-start-line="1" selection-start-column="25" selection-end-line="1" selection-end-column="25" />
            </state>
          </provider>
        </entry>
        <tab><![CDATA[{"tabTitle":"main/CMakeLists.txt","foregroundColor":-9192071,"textAttributes":{"name":"a","children":[{"name":"option","attributes":{"name":"FOREGROUND","value":"73bd79"}}]},"icon":[10,57,99,111,109,46,105,110,116,101,108,108,105,106,46,117,105,46,105,99,111,110,115,46,82,97,115,116,101,114,105,122,101,100,73,109,97,103,101,68,97,116,97,76,111,97,100,101,114,68,101,115,99,114,105,112,116,111,114,18,68,10,15,105,99,111,110,115,47,67,77,97,107,101,46,115,118,103,18,21,105,99,111,110,115,47,101,120,112,117,105,47,67,77,97,107,101,46,115,118,103,26,18,99,111,109,46,105,110,116,101,108,108,105,106,46,99,109,97,107,101,40,-99,-66,-40,-99,2,48,0]}]]></tab>
      </file>
      <file>
        <entry file="file://$PROJECT_DIR$/main/main.cpp" file-id="43567" managing-fs="1774363272086">
          <provider editor-type-id="text-editor" selected="true">
            <state relative-caret-position="431">
              <caret line="1245" selection-start-line="1245" selection-end-line="1245" />
            </state>
          </provider>
        </entry>
        <tab><![CDATA[{"tabTitle":"main.cpp","foregroundColor":-9192071,"textAttributes":{"name":"a","children":[{"name":"option","attributes":{"name":"FOREGROUND","value":"73bd79"}}]},"icon":[10,57,99,111,109,46,105,110,116,101,108,108,105,106,46,117,105,46,105,99,111,110,115,46,82,97,115,116,101,114,105,122,101,100,73,109,97,103,101,68,97,116,97,76,111,97,100,101,114,68,101,115,99,114,105,112,116,111,114,18,114,10,23,105,99,111,110,115,47,102,105,108,101,84,121,112,101,115,47,99,112,112,46,115,118,103,18,29,105,99,111,110,115,47,101,120,112,117,105,47,102,105,108,101,84,121,112,101,115,47,99,112,112,46,115,118,103,26,18,99,111,109,46,105,110,116,101,108,108,105,106,46,99,108,105,111,110,34,23,105,110,116,101,108,108,105,106,46,99,105,100,114,46,108,97,110,103,46,98,97,115,101,40,-21,-119,-10,-57,-3,-1,-1,-1,-1,1,48,0]}]]></tab>
      </file>
    </leaf>
  </component>
  <component name="FileTypeUsageLocalSummary"><![CDATA[{
  "data": {
    "C/C++ Header": {
      "usageCount": 3,
      "lastUsed": 1774349954477
    },
    "C/C++": {
      "usageCount": 3,
      "lastUsed": 1774349954468
    },
    "CMakeLists.txt": {
      "usageCount": 6,
      "lastUsed": 1774349954435
    },
    "PLAIN_TEXT": {
      "usageCount": 1,
      "lastUsed": 1774350206125
    }
  }
}]]></component>
  <component name="IdeDocumentHistory"><![CDATA[{
  "changedPaths": [
    "/home/breadway/Documents/Laser Tag/main/main.cpp",
    "/home/breadway/Documents/Laser Tag/main/CMakeLists.txt",
    "/home/breadway/Documents/Laser Tag/CMakeLists.txt",
    "/home/breadway/Documents/Laser Tag/sdkconfig"
  ]
}]]></component>
  <component name="IgnoredFileRootStore">
    <option name="generatedRoots">
      <set>
        <option value="$PROJECT_DIR$/.idea" />
      </set>
    </option>
  </component>
  <component name="LanguageUsageStatistics">
    <language id="C++">
      <summary usageCount="6" lastUsage="1774349954477" />
    </language>
    <language id="CMake">
      <summary usageCount="6" lastUsage="1774349954435" />
    </language>
    <language id="TEXT">
      <summary usageCount="1" lastUsage="1774350206125" />
    </language>
  </component>
  <component name="ProjectView">
    <navigator currentView="ProjectPane" proportions="" version="1" />
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="laser_tag" type="b2602c69:ProjectViewProjectNode" />
              <item name="Laser Tag" type="47feb1d3:ProjectViewModuleNode" />
            </path>
            <path>
              <item name="laser_tag" type="b2602c69:ProjectViewProjectNode" />
              <item name="Laser Tag" type="47feb1d3:ProjectViewModuleNode" />
              <item name="dir{file:///home/breadway/Documents/Laser Tag}" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="laser_tag" type="b2602c69:ProjectViewProjectNode" />
              <item name="External Libraries" type="cb654da1:ExternalLibrariesNode" />
            </path>
            <path>
              <item name="laser_tag" type="b2602c69:ProjectViewProjectNode" />
              <item name="External Libraries" type="cb654da1:ExternalLibrariesNode" />
              <item name="Header Search Paths" type="70bed36:NamedLibraryElementNode" />
            </path>
          </expand>
          <select />
          <presentation>
            <attributes />
            <data iconPath="expui/toolwindows/project.svg" iconPlugin="com.intellij" isLeaf="false" text="laser_tag" />
            <item name="laser_tag" type="b2602c69:ProjectViewProjectNode" />
            <presentation>
              <attributes />
              <data iconPath="expui/nodes/module.svg" iconPlugin="com.intellij" isLeaf="false" text="Laser Tag" />
              <item name="Laser Tag" type="47feb1d3:ProjectViewModuleNode" />
              <presentation>
                <attributes>
                  <map>
                    <entry key="filePath" value="$USER_HOME$/esp/esp-idf" />
                  </map>
                </attributes>
                <data iconPath="expui/nodes/folder.svg" iconPlugin="com.intellij" isLeaf="false" text="esp-idf" />
                <item name="dir{file:///home/breadway/esp/esp-idf}" type="462c0819:PsiDirectoryNode" />
              </presentation>
              <presentation>
                <attributes>
                  <map>
                    <entry key="filePath" value="$PROJECT_DIR$" />
                  </map>
                </attributes>
                <data iconPath="expui/nodes/module.svg" iconPlugin="com.intellij" isLeaf="false" text="Laser Tag" />
                <item name="dir{file:///home/breadway/Documents/Laser Tag}" type="462c0819:PsiDirectoryNode" />
                <presentation>
                  <attributes>
                    <map>
                      <entry key="filePath" value="$PROJECT_DIR$/build" />
                    </map>
                  </attributes>
                  <data iconPath="expui/nodes/folder.svg" iconPlugin="com.intellij" isLeaf="false" text="build" />
                  <item name="dir{file:///home/breadway/Documents/Laser Tag/build}" type="462c0819:PsiDirectoryNode" />
                </presentation>
                <presentation>
                  <attributes>
                    <map>
                      <entry key="filePath" value="$PROJECT_DIR$/cmake-build-esp32" />
                    </map>
                  </attributes>
                  <data iconPath="expui/nodes/excludeRoot.svg" iconPlugin="com.intellij" isLeaf="false" text="cmake-build-esp32" />
                  <item name="dir{file:///home/breadway/Documents/Laser Tag/cmake-build-esp32}" type="462c0819:PsiDirectoryNode" />
                </presentation>
                <presentation>
                  <attributes>
                    <map>
                      <entry key="filePath" value="$PROJECT_DIR$/main" />
                    </map>
                  </attributes>
                  <data iconPath="expui/nodes/folder.svg" iconPlugin="com.intellij" isLeaf="false" text="main" />
                  <item name="dir{file:///home/breadway/Documents/Laser Tag/main}" type="462c0819:PsiDirectoryNode" />
                </presentation>
                <presentation>
                  <attributes>
                    <map>
                      <entry key="filePath" value="$PROJECT_DIR$/Architecture.md" />
                    </map>
                  </attributes>
                  <data iconPath="icons/expui/markdown.svg" iconPlugin="org.intellij.plugins.markdown" isLeaf="true" text="Architecture.md" />
                  <item name="Architecture.md" type="ab9368bb:PsiFileNode" />
                </presentation>
                <presentation>
                  <attributes>
                    <map>
                      <entry key="filePath" value="$PROJECT_DIR$/CMakeLists.txt" />
                    </map>
                  </attributes>
                  <data iconPath="icons/expui/CMake.svg" iconPlugin="com.intellij.cmake" isLeaf="true" text="CMakeLists.txt" />
                  <item name="CMakeLists.txt" type="ab9368bb:PsiFileNode" />
                </presentation>
                <presentation>
                  <attributes>
                    <map>
                      <entry key="filePath" value="$PROJECT_DIR$/Design Document.docx" />
                    </map>
                  </attributes>
                  <data iconPath="expui/fileTypes/unknown.svg" iconPlugin="com.intellij" isLeaf="true" text="Design Document.docx" />
                  <item name="Design Document.docx" type="ab9368bb:PsiFileNode" />
                </presentation>
                <presentation>
                  <attributes>
                    <map>
                      <entry key="filePath" value="$PROJECT_DIR$/laser_tag_node.ino" />
                    </map>
                  </attributes>
                  <data iconModule="intellij.cidr.lang.base" iconPath="icons/expui/fileTypes/h.svg" iconPlugin="com.intellij.clion" isLeaf="true" text="laser_tag_node.ino" />
                  <item name="laser_tag_node.ino" type="ab9368bb:PsiFileNode" />
                </presentation>
                <presentation>
                  <attributes>
                    <map>
                      <entry key="filePath" value="$PROJECT_DIR$/sdkconfig" />
                    </map>
                  </attributes>
                  <data iconPath="expui/fileTypes/text.svg" iconPlugin="com.intellij" isLeaf="true" text="sdkconfig" />
                  <item name="sdkconfig" type="ab9368bb:PsiFileNode" />
                </presentation>
              </presentation>
            </presentation>
            <presentation>
              <attributes />
              <data iconPath="expui/nodes/library.svg" iconPlugin="com.intellij" isLeaf="false" text="External Libraries" />
              <item name="External Libraries" type="cb654da1:ExternalLibrariesNode" />
              <presentation>
                <attributes />
                <data iconPath="expui/nodes/libraryFolder.svg" iconPlugin="com.intellij" isLeaf="false" text="Header Search Paths" />
                <item name="Header Search Paths" type="70bed36:NamedLibraryElementNode" />
                <presentation>
                  <attributes>
                    <map>
                      <entry key="filePath" value="$USER_HOME$/.espressif/tools/xtensa-esp-elf/esp-15.2.0_20251204/xtensa-esp-elf/picolibc/xtensa-esp-elf/include/c++/15.2.0/xtensa-esp-elf/esp32" />
                    </map>
                  </attributes>
                  <data iconPath="expui/nodes/folder.svg" iconPlugin="com.intellij" isLeaf="false" text="esp32" />
                  <item name="dir{file:///home/breadway/.espressif/tools/xtensa-esp-elf/esp-15.2.0_20251204/xtensa-esp-elf/picolibc/xtensa-esp-elf/include/c++/15.2.0/xtensa-esp-elf/esp32}" type="462c0819:PsiDirectoryNode" />
                </presentation>
                <presentation>
                  <attributes>
                    <map>
                      <entry key="filePath" value="$USER_HOME$/.espressif/tools/xtensa-esp-elf/esp-15.2.0_20251204/xtensa-esp-elf/picolibc/include" />
                    </map>
                  </attributes>
                  <data iconPath="expui/nodes/folder.svg" iconPlugin="com.intellij" isLeaf="false" text="include" />
                  <item name="dir{file:///home/breadway/.espressif/tools/xtensa-esp-elf/esp-15.2.0_20251204/xtensa-esp-elf/picolibc/include}" type="462c0819:PsiDirectoryNode" />
                </presentation>
                <presentation>
                  <attributes>
                    <map>
                      <entry key="filePath" value="$USER_HOME$/.espressif/tools/xtensa-esp-elf/esp-15.2.0_20251204/xtensa-esp-elf/lib/gcc/xtensa-esp-elf/15.2.0/include" />
                    </map>
                  </attributes>
                  <data iconPath="expui/nodes/folder.svg" iconPlugin="com.intellij" isLeaf="false" text="include" />
                  <item name="dir{file:///home/breadway/.espressif/tools/xtensa-esp-elf/esp-15.2.0_20251204/xtensa-esp-elf/lib/gcc/xtensa-esp-elf/15.2.0/include}" type="462c0819:PsiDirectoryNode" />
                </presentation>
                <presentation>
                  <attributes>
                    <map>
                      <entry key="filePath" value="$USER_HOME$/.espressif/tools/xtensa-esp-elf/esp-15.2.0_20251204/xtensa-esp-elf/xtensa-esp-elf/include" />
                    </map>
                  </attributes>
                  <data iconPath="expui/nodes/folder.svg" iconPlugin="com.intellij" isLeaf="false" text="include" />
                  <item name="dir{file:///home/breadway/.espressif/tools/xtensa-esp-elf/esp-15.2.0_20251204/xtensa-esp-elf/xtensa-esp-elf/include}" type="462c0819:PsiDirectoryNode" />
                </presentation>
                <presentation>
                  <attributes>
                    <map>
                      <entry key="filePath" value="$USER_HOME$/.espressif/tools/xtensa-esp-elf/esp-15.2.0_20251204/xtensa-esp-elf/lib/gcc/xtensa-esp-elf/15.2.0/include-fixed" />
                    </map>
                  </attributes>
                  <data iconPath="expui/nodes/folder.svg" iconPlugin="com.intellij" isLeaf="false" text="include-fixed" />
                  <item name="dir{file:///home/breadway/.espressif/tools/xtensa-esp-elf/esp-15.2.0_20251204/xtensa-esp-elf/lib/gcc/xtensa-esp-elf/15.2.0/include-fixed}" type="462c0819:PsiDirectoryNode" />
                </presentation>
              </presentation>
            </presentation>
            <presentation>
              <attributes />
              <data iconPath="expui/fileTypes/scratches.svg" iconPlugin="com.intellij" isLeaf="false" text="Scratches and Consoles" />
              <item name="Scratches and Consoles" type="b85a3e1f:ScratchTreeStructureProvider$MyProjectNode" />
            </presentation>
          </presentation>
        </subPane>
      </pane>
      <pane id="Scope" />
    </panes>
  </component>
  <component name="QueryFileSettings">
    <option name="projectQueriesDirectory" value="$PROJECT_DIR$/.idea/queries" />
  </component>
  <component name="RunConfigurationStartHistory">
    <history>
      <element setting="CMake Application.laser_tag.elf" />
    </history>
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="6186000" />
  </component>
  <component name="ToolWindowManager">
    <layoutV2>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.19628906" />
      <window_info id="Commit" order="1" weight="0.25" />
      <window_info id="Structure" order="2" side_tool="true" weight="0.25" />
      <window_info anchor="bottom" id="Version Control" order="0" />
      <window_info anchor="bottom" id="Problems" order="1" />
      <window_info anchor="bottom" id="Problems View" order="2" weight="0.33028018" />
      <window_info anchor="bottom" id="Terminal" order="3" />
      <window_info anchor="bottom" id="Services" order="4" />
      <window_info anchor="bottom" id="Messages" order="5" weight="0.33028018" />
      <window_info anchor="bottom" id="CMake" order="6" weight="0.33028018" />
      <window_info anchor="bottom" id="SerialMonitor" order="7" />
      <window_info anchor="bottom" id="Run" order="8" show_stripe_button="false" weight="0.33028018" />
      <window_info anchor="right" content_ui="combo" id="Notifications" order="0" weight="0.25" />
      <window_info anchor="right" id="AIAssistant" order="1" weight="0.25" />
      <window_info anchor="right" id="Database" order="2" weight="0.25" />
      <window_info anchor="right" id="Gradle" order="3" weight="0.25" />
      <window_info anchor="right" id="Maven" order="4" weight="0.25" />
      <window_info anchor="right" id="Meson" order="5" />
      <window_info active="true" anchor="right" id="ESP-IDF" order="6" visible="true" weight="0.32975262" />
      <unified_weights bottom="0.33028018" left="0.19628906" right="0.32975262" />
    </layoutV2>
    <recentWindows>
      <value>Project</value>
      <value>Run</value>
      <value>Messages</value>
      <value>CMake</value>
      <value>ESP-IDF</value>
      <value>Problems View</value>
    </recentWindows>
  </component>
  <component name="WindowStateProjectService">
    <state x="444" y="171" width="648" height="669" key="#Notifications" timestamp="1774349681074">
      <screen x="0" y="32" width="1536" height="928" />
    </state>
    <state x="444" y="171" width="648" height="669" key="#Notifications/0.32.1536.928@0.32.1536.928" timestamp="1774349681074" />
    <state x="368" y="161" width="800" height="688" key="#com.intellij.execution.impl.EditConfigurationsDialog" timestamp="1774374756826">
      <screen x="0" y="32" width="1536" height="928" />
    </state>
    <state x="368" y="161" width="800" height="688" key="#com.intellij.execution.impl.EditConfigurationsDialog/0.32.1536.928@0.32.1536.928" timestamp="1774374756826" />
    <state x="500" y="313" width="535" height="403" key="#com.intellij.tools.ToolEditorDialog" timestamp="1774350138906">
      <screen x="0" y="32" width="1536" height="928" />
    </state>
    <state x="500" y="313" width="535" height="403" key="#com.intellij.tools.ToolEditorDialog/0.32.1536.928@0.32.1536.928" timestamp="1774350138906" />
    <state x="517" y="255" key="EnvironmentVariablesDialog" timestamp="1774373942588">
      <screen x="0" y="32" width="1536" height="928" />
    </state>
    <state x="517" y="255" key="EnvironmentVariablesDialog/0.32.1536.928@0.32.1536.928" timestamp="1774373942588" />
    <state width="1454" height="259" key="GridCell.Tab.0.bottom" timestamp="1774351363302">
      <screen x="0" y="32" width="1536" height="928" />
    </state>
    <state width="1454" height="259" key="GridCell.Tab.0.bottom/0.32.1536.928@0.32.1536.928" timestamp="1774351363302" />
    <state width="1454" height="259" key="GridCell.Tab.0.center" timestamp="1774351363302">
      <screen x="0" y="32" width="1536" height="928" />
    </state>
    <state width="1454" height="259" key="GridCell.Tab.0.center/0.32.1536.928@0.32.1536.928" timestamp="1774351363302" />
    <state width="1454" height="259" key="GridCell.Tab.0.left" timestamp="1774351363302">
      <screen x="0" y="32" width="1536" height="928" />
    </state>
    <state width="1454" height="259" key="GridCell.Tab.0.left/0.32.1536.928@0.32.1536.928" timestamp="1774351363302" />
    <state width="1454" height="259" key="GridCell.Tab.0.right" timestamp="1774351363302">
      <screen x="0" y="32" width="1536" height="928" />
    </state>
    <state width="1454" height="259" key="GridCell.Tab.0.right/0.32.1536.928@0.32.1536.928" timestamp="1774351363302" />
    <state x="269" y="137" width="997" height="737" key="SettingsEditor" timestamp="1774350145313">
      <screen x="0" y="32" width="1536" height="928" />
    </state>
    <state x="269" y="137" width="997" height="737" key="SettingsEditor/0.32.1536.928@0.32.1536.928" timestamp="1774350145313" />
    <state x="627" y="310" width="524" height="560" key="com.jetbrains.cidr.cpp.cmake.actions.CMakeAddFileToProjectDialog" timestamp="1774374148690">
      <screen x="0" y="32" width="1536" height="928" />
    </state>
    <state x="627" y="310" width="524" height="560" key="com.jetbrains.cidr.cpp.cmake.actions.CMakeAddFileToProjectDialog/0.32.1536.928@0.32.1536.928" timestamp="1774374148690" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/sdkconfig">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/CMakeLists.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="44">
          <caret line="2" column="18" selection-start-line="2" selection-start-column="18" selection-end-line="2" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/laser_tag_node.ino">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="374">
          <caret line="31" column="18" lean-forward="true" selection-start-line="31" selection-start-column="18" selection-end-line="31" selection-end-column="18" />
          <folding>
            <marker date="1774335480000" expanded="true" signature="0:674" ph="// =============================================================================..." />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/main/main.cpp">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="431">
          <caret line="1245" selection-start-line="1245" selection-end-line="1245" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/main/CMakeLists.txt">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="22">
          <caret line="1" column="25" selection-start-line="1" selection-start-column="25" selection-end-line="1" selection-end-column="25" />
        </state>
      </provider>
    </entry>
  </component>
</project>